# KlipperScreen

KlipperScreen is a touchscreen GUI that interfaces with [Klipper](https://github.com/Klipper3d/klipper) via [Moonraker](https://github.com/arksine/moonraker). It can switch between multiple printers to access them from a single location, and it doesn't even need to run on the same host, you can install it on another device and configure the IP address to access the printer.

### Documentation [![Documentation Status](https://readthedocs.org/projects/klipperscreen/badge/?version=latest)](https://klipperscreen.readthedocs.io/en/latest/?badge=latest)

[Click here to access the documentation.](https://klipperscreen.readthedocs.io/en/latest/)

### Inspiration
KlipperScreen was inspired by [OctoScreen](https://github.com/Z-Bolt/OctoScreen/) and the need for a touchscreen GUI that
will natively work with [Klipper](https://github.com/kevinOConnor/klipper) and [Moonraker](https://github.com/arksine/moonraker).

[![Main Menu](docs/img/panels/main_panel.png)](https://klipperscreen.readthedocs.io/en/latest/Panels/)

[More Screenshots](https://klipperscreen.readthedocs.io/en/latest/Panels/)

### Translations <a href="https://hosted.weblate.org/engage/klipperscreen/"><img src="https://hosted.weblate.org/widget/klipperscreen/svg-badge.svg" alt="Translation status" /></a>

Translations are hosted on Weblate, Thanks to the Weblate team for supporting the Open-Source community.

Click the widget below to access the translation platform:

<a href="https://hosted.weblate.org/engage/klipperscreen/">
    <img src="https://hosted.weblate.org/widget/klipperscreen/horizontal-auto.svg" alt="Weblate widget" width=50% />
</a>

### About the project

KlipperScreen has been created and maintained by Jordan Ruthe from 2020 to 2021

|Donate to Jordan|
|-|
|[Patreon](https://www.patreon.com/klipperscreen)|
|[Ko-fi](https://ko-fi.com/klipperscreen)|

The current maintainer is Alfredo Monclus (alfrix) from 2021 onwards

|Dontate to Alfrix|
|-|
|[Ko-fi](https://ko-fi.com/alfrix)|

thanks to all the people who helped along the way.

[Contributors](https://github.com/KlipperScreen/KlipperScreen/graphs/contributors)

### Sponsors

![LDO](docs/img/LDO-LOGO_SQ.png)

Thank you [LDO](https://ldomotors.com/) for sponsoring KlipperScreen and the open source community.
